import 'custom-event-polyfill';
import { ICustomTemplateFieldValue } from '../../models/ICustomTemplateFieldValue';
import { IRenderer } from '../../models/IRenderer';
import { ISearchEvent } from '../../models/ISearchEvent';
import { ISearchResults } from '../../models/ISearchResult';
import { RendererType } from '../../models/RendererType';
import ISearchResultsRendererService from './ISearchResultsRendererService';
export default class SearchResultsRendererService implements ISearchResultsRendererService {
    readonly results: ISearchResults;
    IsLoading: boolean;
    private SEARCH_CHANGED_EVENT_NAME;
    private SEARCH_RESULT_RENDERERS_OBJECT_NAME;
    private SEARCH_REFINER_RENDERERS_OBJECT_NAME;
    private SEARCH_VERTICAL_RENDERERS_OBJECT_NAME;
    private SEARCH_PAGINATION_RENDERERS_OBJECT_NAME;
    private searchResults;
    private isLoading;
    updateResultData(results: ISearchResults, rendererId: string, mountNode: string, customTemplateFieldValues?: ICustomTemplateFieldValue[]): void;
    registerRenderer(rendererId: string, rendererName: string, rendererIcon: string, rendererType: RendererType, callback: (e: ISearchEvent) => void, requiredSelectProperties?: string[], fields?: string[]): void;
    getRegisteredRenderers(rendererType: RendererType): IRenderer[] | undefined;
    private setRenderer;
    private handleNewDataRegistered;
}
